summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintenance.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-12-21 16:28:46 +0100
committerHolger Levsen <holger@layer-acht.org>2016-12-21 16:28:46 +0100
commit43e9a1ec3545a7c06ac0a829a406d7dd64487819 (patch)
treea46f096ffb8aa8ef66eb7baff33dc0085b9987b2 /bin/reproducible_maintenance.sh
parent02ee8ed38f99a393548668de92e4e36b4fec2c21 (diff)
downloadjenkins.debian.net-43e9a1ec3545a7c06ac0a829a406d7dd64487819.tar.xz
reproducible Debian: diskspace issues are not normal
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_maintenance.sh')
-rwxr-xr-xbin/reproducible_maintenance.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index dd083159..3bfd5d7c 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -416,11 +416,15 @@ if [ "$HOSTNAME" = "$MAINNODE" ] && [ $(date -u +%H) -eq 0 ] ; then
# regular logfile, logrotate is used (and the file aint owned by jenkins)
cp $PROBLEM $TMPFILE
fi
- ( echo "A few entries per day are normal, a few dozens or hundreds probably not."
+ ( if [ "$(basename $PROBLEM)" = "reproducible-diskspace-issues.log" ; then
+ echo "diskspace issues should always be investigated."
+ else
+ echo "A few entries per day are normal, a few dozens or hundreds probably not."
+ fi
if grep -q https $TMPFILE ; then
- echo "$(grep -c https $TMPFILE) entries found:"
+ echo "$(grep -c https $TMPFILE) entries found:"
else
- echo "$(grep -c 'stale builds found' $TMPFILE || true) entries found:"
+ echo "$(grep -c 'stale builds found' $TMPFILE || true) entries found:"
fi
echo
cat $TMPFILE ) | mail -s "$(basename $PROBLEM) found" qa-jenkins-scm@lists.alioth.debian.org